summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMilk Brewster2020-05-08 12:16:59 +0100
committerMilk Brewster2020-05-08 12:16:59 +0100
commit0449a6cc734e1ba16f477efcdcb55ef199ddb548 (patch)
treecd0b937282baf454101981c99de48088e7408799
downloadaur-0449a6cc734e1ba16f477efcdcb55ef199ddb548.tar.gz
fix for requires dependency path issues
-rw-r--r--.SRCINFO13
-rw-r--r--PKGBUILD46
2 files changed, 59 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3c12f2a34f5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,13 @@
+pkgbase = mpdproxy-coffeescript-git
+ pkgdesc = MPD proxy automatically entering password for clients in certain IP ranges
+ pkgver = r4.da65b0e
+ pkgrel = 1
+ url = https://github.com/mxmilkb/mpdproxy
+ arch = x86_64
+ depends = mpd
+ depends = coffeescript
+ source = mpdproxy-coffeescript-git::git+https://github.com/mxmilkb/mpdproxy
+ md5sums = SKIP
+
+pkgname = mpdproxy-coffeescript-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..cd1a8a1b402
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,46 @@
+
+# Maintainer: Milkii Brewster <milkii on Freenode IRC>
+maintaner="Milkii Brewster <milkii on Freenode IRC>"
+pkgname=mpdproxy-coffeescript-git
+pkgdesc="MPD proxy automatically entering password for clients in certain IP ranges"
+pkgver=r4.da65b0e
+pkgrel=1
+epoch=
+arch=(x86_64)
+url="https://github.com/mxmilkb/mpdproxy"
+license=()
+groups=()
+depends=("mpd" "coffeescript")
+makedepends=()
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=(mpdproxy-coffeescript-git::git+https://github.com/mxmilkb/mpdproxy)
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$pkgname"
+ # forgive me
+ npm install
+}
+
+package() {
+ chmod +x "$pkgname"/mpdproxy.coffee
+ mkdir -p ${pkgdir}/usr/lib/
+ cp -r "$pkgname" ${pkgdir}/usr/lib/mpdproxy
+}